#include <avr/io.h>
#include <stdint.h>
#include <util/delay_basic.h>

#include "buzzer.h"



#define BUZZER_PIN              0   // BP0



void bz_init() {
    DDRB = _BV(BUZZER_PIN);
}


void bz_beep(uint16_t tone, uint16_t dur_ucs) {
    uint16_t __ticks = (uint32_t)(F_CPU / 8) / tone;
    uint16_t dur_idx = (uint32_t)(F_CPU / 8) / 1000 * dur_ucs / (__ticks * 2);
    uint16_t i;

    __ticks -= 20;
    for (i = 0; i < dur_idx; i++) {
        PORTB |= _BV(BUZZER_PIN);
        _delay_loop_2(__ticks);
        PORTB &= ~_BV(BUZZER_PIN);
        _delay_loop_2(__ticks);
    }
}
