#ifndef __I2C_CANDY_H_
#define __I2C_CANDY_H_

#include <stdint.h>



#define I2C_SCL         _BV(2)
#define I2C_SDA         _BV(3)



typedef struct {
    //12-a7-00-01 00-00-00-00-00-00-00-00 ba
    union {
        struct {
#define I2CC_HDR0       0x12
#define I2CC_HDR1       0xa7
#define I2CC_HDR2       0x00
            uint8_t hdr[3];
            uint8_t idx;
            uint8_t data[8];
            uint8_t csum;
        } msg;
        uint8_t bytes[12];
    };
} i2cc_msg_t;


void i2cc_init();

void i2cc_start();
void i2cc_stop();

i2cc_msg_t *i2cc_get_msg();


#endif // __I2C_CANDY_H_
